KILL(1)

NOM
kill - Envoyer un signal à un processus

SYNOPSIS
kill [ -s signal | -p ] [ -a ] [ -- ] pid ...
kill -l [ signal ]

DESCRIPTION
La commande kill envoie le signal indiqué aux processus mentionnés. Si on ne précise pas de signal, TERM est envoyé. Ce dernier tuera les processus qui ne l'interceptent pas. Pour les autres processus, il peut être nécessaire d'envoyer le signal KILL (9), qui ne peut pas être intercepté.

La plupart des shells modernes ont une commande kill intégrée avec un fonctionnement à peu près identique. Les options « -a » et « -p », et la possibilité de préciser les processus par le nom de commande sont des extensions.

OPTIONS

pid...
    Indique la liste des PID auxquels kill doit envoyer un signal. Chaque pid peut prendre l'une des cinq formes suivantes :

    n   avec n supérieur à 0. Le processus de PID n recevra le signal.

    0   Tous les processus du groupe de processus de l'appelant seront visés.

    -1  Tous les processus avec un PID supérieur à 1 recevront le signal.

    -n  où n est supérieur à 1. Tous les processus du groupe n sont visés. Quand on utilise un argument de la forme « -n », pour indiquer un groupe de processus, il faut soit avoir indiqué un signal au préalable, soit faire précéder l'argument de l'option « -- ». Sinon il sera considéré comme le numéro du signal à envoyer.

    nom_commande
        Tous les processus invoqués en utilisant cette commande recevront le signal.

-s  Indiquer le signal à envoyer. Celui-ci peut être spécifié par son nom ou par son numéro.

-l  Afficher une liste des noms de signaux connus. Ceux-ci sont fournis dans /usr/include/linux/signal.h

-a  Ne pas restreindre la conversion nom_commande en PID aux seuls processus ayant le même UID que l'appelant.

-p  Indique que kill doit simplement afficher le PID du processus dont le nom est fourni, sans lui envoyer de signal.

AUTEUR
Inspiré de BSD 4.4. La possibilité de traduire le nom du processus en PID a été ajoutée par Salvatore Valente <svalente@mit.edu>.

DISPONIBILITÉ
La commande kill fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

VOIR AUSSI
bash(1), tcsh(1), kill(2), sigvec(2), signal(7)

TRADUCTION
Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 8 juin 1997 et révisée le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 kill ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.